<?php

namespace Database\Seeders;

use App\Models\HeatTransferEntry;
use App\Models\Quote;
use Illuminate\Database\Seeder;

class HeatTransferEntrySeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        foreach (Quote::all() as $quote) {
            HeatTransferEntry::factory()->for($quote)->count(random_int(0, 5))->create();
        }
    }
}
